Page MenuHomePhabricator

Keyboard and Edit Card show simultaneously when double-tapping link
Closed, ResolvedPublic

Description

Issue

Double tapping an existing link causes the Edit Card and keyboard to show simultaneously.

@MMiller_WMF caught this when testing. See screenshot below for illustration of issue:

Configuration

iOS + Safari

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (70bf52198)
VisualEditor/VisualEditor : masterMobileContext: Clear opening timeout when closing
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (aae84a489)
VisualEditor/VisualEditor : masterMobileContext: Ensure isVisible returns true while opening

Event Timeline

ppelberg created this task.Aug 5 2019, 8:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2019, 8:02 PM
Esanders renamed this task from Keyboard and Edit Card show simultaneously when double-tapping link on iOS to Keyboard and Edit Card show simultaneously when double-tapping link.Aug 5 2019, 8:04 PM

Change 528250 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] MobileContext: Ensure isVisible returns true while opening

https://gerrit.wikimedia.org/r/528250

Esanders added a comment.EditedAug 5 2019, 8:05 PM

Good spot. This happens on all platforms if the second click is within 250ms of the first because of animation that brings the edit card up. (250ms happens to also be the threshold for a double click on most platforms, but it's unrelated to double click events as it happens).

Esanders triaged this task as High priority.Aug 5 2019, 8:05 PM
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.
ppelberg updated the task description. (Show Details)Aug 5 2019, 8:06 PM

Change 528250 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] MobileContext: Ensure isVisible returns true while opening

https://gerrit.wikimedia.org/r/528250

Change 528253 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (aae84a489)

https://gerrit.wikimedia.org/r/528253

Change 528253 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (aae84a489)

https://gerrit.wikimedia.org/r/528253

Change 528277 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] MobileContext: Clear opening timeout when closing

https://gerrit.wikimedia.org/r/528277

Change 528277 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] MobileContext: Clear opening timeout when closing

https://gerrit.wikimedia.org/r/528277

Change 528486 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (70bf52198)

https://gerrit.wikimedia.org/r/528486

Change 528486 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (70bf52198)

https://gerrit.wikimedia.org/r/528486

matmarex moved this task from Inbox to High Priority on the Editing QA board.Aug 9 2019, 4:53 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Aug 22 2019, 7:51 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 1:43 AM